Package org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor

# Interface NodePostProcessorState<T extends com.vladsch.flexmark.util.ast.Node>

All Known Implementing Classes:
  `AccessRuleLinkNodePostProcessorState`, `ExternalLinkNodePostProcessorState`, `ImageLinkNodePostProcessorState`, `InterWikiLinkNodePostProcessorState`, `LocalFootnoteLinkNodePostProcessorState`, `LocalFootnoteRefLinkNodePostProcessorState`, `LocalLinkNodePostProcessorState`, `MetadataLinkNodePostProcessorState`, `PluginLinkNodePostProcessorState`, `VariableLinkNodePostProcessorState`

public interface NodePostProcessorState<T extends com.vladsch.flexmark.util.ast.Node>
Encapsulates different node's post-process for different kinds of nodes.

## Method Summary

Modifier and Type
Method
Description
`void`
`process(com.vladsch.flexmark.util.ast.NodeTracker state, T node)`
performs further processing before rendering.

## Method Details

### process

void process(com.vladsch.flexmark.util.ast.NodeTracker state, T node)
performs further processing before rendering.

Parameters:
  `state` - to record node addition/deletion
  `node` - the specific node in which the post-processing is taking place.